<template>
  <v-dialog v-model="dialog" transition="dialog-bottom-transition" width="40%">
    <slot></slot>
  </v-dialog>
</template>

<script>
export default {
  computed: {
    dialog: {
      get () {
        return this.$store.getters.getDialog
      },
      set (value) {
        this.$store.commit('setDialog', value)
      }
    }
  }
}
</script>

